commit:     78906e23692092599ea58ba8fffb80dd1507ad43
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 15 19:38:33 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Sep 15 19:51:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78906e23

sys-libs/freeipmi: add 1.6.16

Bug: https://bugs.gentoo.org/943813
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/freeipmi/Manifest               |  1 +
 sys-libs/freeipmi/freeipmi-1.6.16.ebuild | 94 ++++++++++++++++++++++++++++++++
 2 files changed, 95 insertions(+)

diff --git a/sys-libs/freeipmi/Manifest b/sys-libs/freeipmi/Manifest
index 8f3c866db9ee..1a59c351a9c1 100644
--- a/sys-libs/freeipmi/Manifest
+++ b/sys-libs/freeipmi/Manifest
@@ -2,3 +2,4 @@ DIST freeipmi-1.6.10.tar.gz 3431062 BLAKE2B 
e217570d8fcf78ca9d04aad4d5bd46b4120b
 DIST freeipmi-1.6.11.tar.gz 3429533 BLAKE2B 
abc803341db4e48fe1a81da1d9cce2e7a808e51f41fb5b18019fa25bec41b443275f737553fe8b7bfd1dd9ad06d08b2097ca9f8e78a431e20d1a0e89d0e8cda6
 SHA512 
db37bb1ec559f88764ac08491b616d24e49c9a8ba070717e940fea4886d877819064cb00221aac703d0d149dc38e562924e192e992222e18b0e8b548248487a4
 DIST freeipmi-1.6.14.tar.gz 3464254 BLAKE2B 
b0b3fdc45c910f5fd3e837b4186103c754fc399c05be6b3406346a9629de4392334dfce5320fabfa895f8d398399a54b58c8b6663979e428c10269dd57b35067
 SHA512 
5dab6430d257776cad1aed39cb2e2536af42c56e3f53774111efc15b0dfc19241eedfbcbfb1f088dd8be38ce694bff9779050daaec9ad0b2d4dad329ce8f3fe3
 DIST freeipmi-1.6.15.tar.gz 3464927 BLAKE2B 
0363b9ca58d264f9703e1615469dc5df53143e4b21111004602ab24e371d6291aacb6cef04500822cc5e86d0aec55e80f8162bfda0a98a2af1e326ec377460ba
 SHA512 
113005f751a22584b657afa27c5659af8cae3b503f7c6358ac98c7f2461165c882b9ccfa8ad1cc4e3041f10de334def9b4faff03f2b83d56e69d891463f8931a
+DIST freeipmi-1.6.16.tar.gz 3465484 BLAKE2B 
3dd261796b8958eb7dbf2debc29de27aa1b7a2edcab2e2cf4ff4596a1ff89e8e5ad4d0d761b9be5956551b743733b5bc1c13880aa910c54cde7661ac82c59860
 SHA512 
be2b6437bbd9c914ec113845d60288a8ecf2d53cbbe0472d89240f3323f15e1cbdc62c2788f6573fc6b032a9fa6bb41b544559ece24a8a631f9450b0166cc45f

diff --git a/sys-libs/freeipmi/freeipmi-1.6.16.ebuild 
b/sys-libs/freeipmi/freeipmi-1.6.16.ebuild
new file mode 100644
index 000000000000..a47a360ddc4e
--- /dev/null
+++ b/sys-libs/freeipmi/freeipmi-1.6.16.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+MY_P="${P/_/.}"
+DESCRIPTION="Provides Remote-Console and System Management Software as per 
IPMI v1.5/2.0"
+HOMEPAGE="https://www.gnu.org/software/freeipmi/";
+SRC_URI="mirror://gnu/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~hppa ~ppc64 ~x86"
+IUSE="debug doc nagios without-root"
+
+RDEPEND="dev-libs/libgcrypt:="
+DEPEND="
+       ${RDEPEND}
+       virtual/os-headers
+"
+RDEPEND="
+       ${RDEPEND}
+       nagios? (
+               || ( net-analyzer/icinga net-analyzer/nagios )
+               dev-lang/perl
+       )
+"
+
+src_configure() {
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_enable doc)
+               $(usev without-root --with-dont-check-for-root)
+               --disable-static
+               --disable-init-scripts
+               --localstatedir="${EPREFIX}"/var
+               ac_cv_path_CPP_FOR_BUILD="$(tc-getPROG CPP cpp)"
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       # freeipmi by defaults install _all_ commands to /usr/sbin, but
+       # quite a few can be run remotely as standard user, so move them
+       # in /usr/bin afterwards.
+       dodir /usr/bin
+       local prog
+       for prog in ipmi{detect,ping,power,console}; do
+               mv "${ED}"/usr/{s,}bin/${prog} || die
+
+               # The default install symlinks these commands to add a dash
+               # after the ipmi prefix; we repeat those after move for
+               # consistency.
+               rm "${ED}"/usr/sbin/${prog/ipmi/ipmi-}
+               dosym ${prog} /usr/bin/${prog/ipmi/ipmi-}
+       done
+
+       # Install the nagios plugin in its proper place, if desired
+       if use nagios; then
+               dodir /usr/$(get_libdir)/nagios/plugins
+               mv 
"${ED}"/usr/share/doc/${PF}/contrib/nagios/nagios_ipmi_sensors.pl \
+                       "${ED}"/usr/$(get_libdir)/nagios/plugins/ || die
+               fperms 0755 
/usr/$(get_libdir)/nagios/plugins/nagios_ipmi_sensors.pl
+
+               insinto /etc/icinga/conf.d
+               newins "${FILESDIR}"/freeipmi.icinga freeipmi-command.cfg
+       fi
+
+       dodoc AUTHORS ChangeLog* DISCLAIMER* NEWS README* TODO doc/*.txt
+
+       keepdir \
+               /var/cache/ipmiseld \
+               /var/cache/ipmimonitoringsdrcache \
+               /var/lib/freeipmi \
+               /var/log/ipmiconsole
+
+       # starting from version 1.2.0 the two daemons are similar enough
+       newinitd "${FILESDIR}"/bmc-watchdog.initd.4 ipmidetectd
+       newconfd "${FILESDIR}"/ipmidetectd.confd ipmidetectd
+
+       newinitd "${FILESDIR}"/bmc-watchdog.initd.4 bmc-watchdog
+       newconfd "${FILESDIR}"/bmc-watchdog.confd bmc-watchdog
+
+       newinitd "${FILESDIR}"/bmc-watchdog.initd.4 ipmiseld
+       newconfd "${FILESDIR}"/ipmiseld.confd ipmiseld
+
+       find "${ED}" -type f -name "*.la" -delete || die
+}

Reply via email to